PRINTF(1)

NAME
printf - format and print data

SYNOPSIS
printf FORMAT [ARGUMENT]...
printf OPTION

DESCRIPTION
NOTE: your shell may have its own version of printf which will supercede the version described here. Please refer to your shell's documentation for details about the options it supports.

Print ARGUMENT(s) according to FORMAT.

--help
    display this help and exit

--version
    output version information and exit

FORMAT controls the output as in C printf. Interpreted sequences are:

\"  double quote

\NNN
    character with octal value NNN (1 to 3 digits)

\\  backslash

\a  alert (BEL)

\b  backspace

\c  produce no further output

\f  form feed

\n  new line

\r  carriage return

\t  horizontal tab

\v  vertical tab

\xNN
    byte with hexadecimal value NN (1 to 2 digits)

\uNNNN
    character with hexadecimal value NNNN (4 digits)

\UNNNNNNNN
    character with hexadecimal value NNNNNNNN (8 digits)

%%  a single %

%b  ARGUMENT as a string with `\' escapes interpreted,

    except that octal escapes are of the form \0 or \0NNN

and all C format specifications ending with one of diouxXfeEgGcs, with ARGUMENTs converted to proper type first. Variable widths are handled.

AUTHOR
Written by David MacKenzie.

REPORTING BUGS
Report bugs to <bug-coreutils@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
The full documentation for printf is maintained as a Texinfo manual. If the info and printf programs are properly installed at your site, the command

    info coreutils printf

should give you access to the complete manual.